/*

joy.c - UNIX Joystick

*/

/*...sincludes:0:*/
#include <stdio.h>

#include "types.h"
#include "diag.h"
#include "common.h"
#include "kbd.h"
#include "joy.h"

/*...vtypes\46\h:0:*/
/*...vdiag\46\h:0:*/
/*...vcommon\46\h:0:*/
/*...vkbd\46\h:0:*/
/*...vjoy\46\h:0:*/
/*...e*/

/*...sjoy_set_buttons:0:*/
void joy_set_buttons(const char *buttons)
	{
	}
/*...e*/
/*...sjoy_set_central:0:*/
void joy_set_central(int central)
	{
	}
/*...e*/

/*...sjoy_periodic:0:*/
void joy_periodic(void)
	{
	}
/*...e*/

/*...sjoy_init:0:*/
void joy_init(int emu)
	{
	if ( emu & JOYEMU_JOY )
		diag_message(DIAG_JOY_INIT, "no generic UNIX support for joystick");
	}
/*...e*/
/*...sjoy_term:0:*/
void joy_term(void)
	{
	}
/*...e*/
